Bug 1301993 - [RFE] pcs property list/show could have a --node filter
[RFE] pcs property list/show could have a --node filter
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.4
All Linux
low Severity low
: rc
: ---
Assigned To: Tomas Jelinek
cluster-qe@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-26 08:52 EST by Michele Baldessari
Modified: 2016-11-03 16:56 EDT (History)
7 users (show)

See Also:
Fixed In Version: pcs-0.9.152-5.el7
Doc Type: Enhancement
Doc Text:
Feature: Be able to list node attributes of specified node. Currently it is only possible to list attributes of all nodes. Reason: Make reading and parsing of the output easier. Result: New command "pcs node attributes" has been implemented which makes it easier to manage node attributes and also allows to display attributes of a specified node.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 16:56:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed fix (20.34 KB, patch)
2016-07-22 06:10 EDT, Tomas Jelinek
no flags Details | Diff

  None (edit)
Description Michele Baldessari 2016-01-26 08:52:16 EST
Description of problem:
While adding pcs property support to puppet, I realized it would be nice
to also have a  "pcs list property --node <node>" variant.

That is because we can set properties per --node, so it is nice via a script
to be able to retrieve only the properties for a single node.

For example:
pcs property --node centos
Node Attributes:
 centos: foo=bar
Comment 2 Tomas Jelinek 2016-01-28 06:38:07 EST
Node properties should be moved to "pcs node" command.
Comment 3 Tomas Jelinek 2016-07-22 06:10 EDT
Created attachment 1182769 [details]
proposed fix
Comment 4 Ivan Devat 2016-07-28 15:09:34 EDT
Before Fix:

Command "pcs node attribute" does not exist.
Command "pcs node utilization" does not support --name modifier.


After Fix:
[vm-rhel72-1 ~] $ rpm -q pcs                       
pcs-0.9.152-5.el7.x86_64

1)
[vm-rhel72-1 ~] $ pcs node attribute
Node Attributes:
[vm-rhel72-1 ~] $ pcs node attribute vm-rhel72-3 foo=bar
[vm-rhel72-1 ~] $ pcs node attribute vm-rhel72-3 bar=foo
[vm-rhel72-1 ~] $ pcs node attribute vm-rhel72-1 bar=baz
[vm-rhel72-1 ~] $ pcs node attribute                    
Node Attributes:
 vm-rhel72-1: bar=baz
 vm-rhel72-3: bar=foo foo=bar
[vm-rhel72-1 ~] $ pcs node attribute vm-rhel72-1 
Node Attributes:
 vm-rhel72-1: bar=baz
[vm-rhel72-1 ~] $ pcs node attribute --name=bar 
Node Attributes:
 vm-rhel72-1: bar=baz
 vm-rhel72-3: bar=foo

2)
[vm-rhel72-1 ~] $ pcs node utilization vm-rhel72-1 foo=1  
[vm-rhel72-1 ~] $ pcs node utilization vm-rhel72-1 bar=1
[vm-rhel72-1 ~] $ pcs node utilization vm-rhel72-3 bar=2
[vm-rhel72-1 ~] $ pcs node utilization --name bar       
Node Utilization:
 vm-rhel72-1: bar=1
 vm-rhel72-3: bar=2
Comment 8 errata-xmlrpc 2016-11-03 16:56:32 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2596.html

Note You need to log in before you can comment on or make changes to this bug.